# isRequired

abstract fun isRequired(): Boolean

Whether or not it is required that this signature be generated. A signature may not be able to be generated if a signatory and/or a signature type have not been specified. If it is required and cannot be generated, an exception will be thrown. Otherwise, it will not be generated.

#### Return

Whether or not it is required that this signature be generated.